Bug 89361 - Get rid of Gopher "support"
Summary: Get rid of Gopher "support"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Adolfo Jayme
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-02-13 09:59 UTC by Tor Lillqvist
Modified: 2015-12-15 23:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2015-02-13 09:59:59 UTC
git grep -i gopher
Comment 1 Commit Notification 2015-03-16 14:28:46 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea7f16bf0b5e195d65e51c624b0fb37980bf2b95

tdf#89361 Remove remnants of Gopher support

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Mike §chinagl 2015-05-21 16:24:03 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Vestigial Gopher Wikipedia logo v3.svg support was dropped as well. tdf#89361 Thanks to: Adolfo Jayme Barrientos.
Comment 3 Adolfo Jayme 2015-05-21 20:12:00 UTC
@ Mike §chinagl, it is pointless (not to mention annoying) to add that comment to every bug report you happen to see in the release notes. DO NOT DO THAT AGAIN. It doesn’t even apply in this case (“… if this feature really worked well”? WTF?)

But if you’re really worried about testing the new features and bug fixes, what about you do the tests yourself, and move bugs to VERIFIED?
Comment 4 Mike §chinagl 2015-05-22 14:10:25 UTC
(In reply to Adolfo Jayme from comment #3)
> But if you’re really worried about testing the new features and bug fixes,
> what about you do the tests yourself, and move bugs to VERIFIED?

Maybe we need a clearer set of guidelines as some people active like you instruct user that only competent people should change the status of a bug (example: https://bugs.documentfoundation.org/show_bug.cgi?id=90511#c15).
Comment 5 Robinson Tryon (qubit) 2015-12-15 23:36:45 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillCpp )
[NinjaEdit]